image: maven:latest
services:
  - mariadb:10

cache:
  paths:
    - .m2/

variables:
  MAVEN_OPTS: "-Dmaven.repo.local=${CI_PROJECT_DIR}/.m2 -Dspring.profiles.active=ci"
  MYSQL_USER: i18n_test
  MYSQL_PASSWORD: i18n_test
  MYSQL_ROOT_PASSWORD: i18n_test
  MYSQL_DATABASE: i18n_test

build:
  only:
    - branches
  stage: build
  script: "mvn $MAVEN_OPTS clean verify package deploy -am -Dconfig.MAVENREPO_WRITE_URL=${MAVENREPO_WRITE_URL}"